<?php
namespace App\Http\Actions\Vendor;
use App\Mail\SendMailReset;
use App\Models\PasswordResetVendor;
use App\Models\Vendor;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Mail;

/**
 * Summary of ForgotAction
 */
class ForgotAction
{
    public function handle(array $data):Response
    {
        $vendor = Vendor::where('email', $data['email'])->first();
        $resetPasswordToken = str_pad(random_int(1, 999), 4, '0', STR_PAD_LEFT);
        PasswordResetVendor::updateOrCreate([
            'email' => $vendor->email,
        ],[
            'email' => $vendor->email,
            'token' => $resetPasswordToken,
            'created_at' => now(),
        ]);
        $vendor->update([
            'email_verified_at' => now(),
        ]);
        Mail::to($vendor->email)->send(new SendMailReset($resetPasswordToken));
        return apiResponse(  [],'A Code has been sent to your Email Address.',true);
    }
    
}