<?php
namespace App\Http\Actions\Vendor;
use App\Http\Resources\Api\V1\Admin\AdminResource;
use App\Http\Resources\Api\V1\Admin\AdminUpdateResource;
use App\Http\Resources\Api\V1\Vendor\VendorUpdateResource;
use App\Models\Admin;
use App\Models\Vendor;
use Illuminate\Http\Response;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\Hash;

/**
 * Summary of RegisterAction
 */
class UpdateAction
{
    public function handle(Vendor $vendor,array $data): Response
    {
        if(!empty($data['password'])){
            $data['password'] = Hash::make($data['password']);
            $vendor->update(Arr::except($data, ['commercial_licenses','civil_id','signature_authorization','pdf_upload','profile']));
        }else{
            $vendor->update(Arr::except($data,['password','commercial_licenses','civil_id','signature_authorization','pdf_upload','profile']));
        }
        $array = ['commercial_licenses','civil_id','signature_authorization','pdf_upload','profile'];
        foreach($array as $item){
            UpdateNewImage($item,$data,$vendor,$item);
        }
        return apiResponse(  new VendorUpdateResource($vendor),'is success Vendor',true);
    }
}