<?php
namespace App\Http\Controllers\Api\V1\Application;
use App\Http\Actions\Application\ForgotAction;
use App\Http\Actions\Application\LoginAction;
use App\Http\Actions\Application\RegisterAction;
use App\Http\Actions\Application\ResetAction;
use App\Http\Controllers\Controller;
use App\Http\Requests\Api\Application\ForgetRequest;
use App\Http\Requests\Api\Application\LoginRequest;
use App\Http\Requests\Api\Application\RegisterRequest;
use App\Http\Requests\Api\Application\ResetRequest;
use App\Http\Resources\Api\V1\Application\AllUsersResource;
use App\Http\Resources\Api\V1\Application\UserUpdateResource;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Auth;

class UsersController extends Controller
{
    public function login(LoginRequest $request):Response
    {
        return app(LoginAction::class)->handle($request->validated());
    }
    public function register(RegisterRequest $request):Response
    {
        return app(RegisterAction::class)->handle($request->validated());
    }
    public function getUserToken(Request $request):Response
    {
        return apiResponse(  new UserUpdateResource($request->user()),'is success Users',true);
    }    
    public function forgot(ForgetRequest $request): Response
    {
        return app(ForgotAction::class)->handle($request->validated());
    }
    public function reset(ResetRequest $request) :Response
    {
        return app(ResetAction::class)->handle($request->validated());
    }
    public function logout(Request $request)
    {
        $request->user()->tokens()->where('id', $request->user()->currentAccessToken()->id)->delete();
        return apiResponse(  [],'Logout successful',true);
    }
}