<?php
namespace App\Http\Controllers\Api\V1\Dashboard\Admin;
use App\Http\Actions\Banner\StoreBannerAction;
use App\Http\Actions\Banner\UpdateBannerAction;
use App\Http\Actions\Country\StoreCountryAction;
use App\Http\Actions\Country\UpdateCountryAction;
use App\Http\Controllers\Controller;
use App\Http\Requests\Api\Admin\Banner\BannerStore;
use App\Http\Requests\Api\Admin\Banner\BannerUpdate;
use App\Http\Requests\Api\Admin\Country\CountryStore;
use App\Http\Requests\Api\Admin\Country\CountryUpdate;
use App\Http\Resources\Api\V1\Admin\AllCountryCollection;
use App\Http\Resources\Api\V1\Admin\Banner\AllBannerCollection;
use App\Http\Resources\Api\V1\Admin\Banner\BannerResource;
use App\Http\Resources\Api\V1\Admin\CountryResource;
use App\Models\Banner;
use App\Models\Country;
use Illuminate\Http\Response;

class BannerController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index():Response
    {
        return apiResponse(  AllBannerCollection::make(Banner::paginate(10)),'is success Banner',true);
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(BannerStore $request):Response
    {
        return app(StoreBannerAction::class)->handle($request->validated());
    }

    /**
     * Display the specified resource.
     */
    public function show(Banner $banner=null):Response
    {
        if(!empty($banner)){
            return apiResponse(  new BannerResource($banner),'is success banner',true);
        }
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(BannerUpdate $request, Banner $banner=null)
    {
       return app(UpdateBannerAction::class)->handle($banner,$request->validated());
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Banner $banner=null)
    {
        $banner->delete();
        return apiResponse(  [],'is success Banner',true);
    }
}
