<?php
namespace App\Http\Controllers\Api\V1\Dashboard\Vendor;
use App\Http\Actions\Vendor\ForgotAction;
use App\Http\Actions\Vendor\LoginAction;
use App\Http\Actions\Vendor\RegisterAction;
use App\Http\Actions\Vendor\ResetAction;
use App\Http\Controllers\Controller;
use App\Http\Requests\Api\Vendor\ForgetRequest;
use App\Http\Requests\Api\Vendor\LoginRequest;
use App\Http\Requests\Api\Vendor\RegisterRequest;
use App\Http\Requests\Api\Vendor\ResetRequest;
use App\Http\Resources\Api\V1\Vendor\AllVendorResource;
use App\Http\Resources\Api\V1\Vendor\VendorResource;
use App\Http\Resources\Api\V1\Vendor\VendorUpdateResource;
use App\Models\Vendor;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class VendorController extends Controller
{
    public function login(LoginRequest $request):Response
    {
        return app(LoginAction::class)->handle($request->validated());
    }
    public function register(RegisterRequest $request):Response
    {
        return app(RegisterAction::class)->handle($request->validated());
    }
    public function getUserToken(Request $request):Response
    {
        return apiResponse(  new VendorUpdateResource($request->user()),'is success Vendor',true);
    }
    public function forgot(ForgetRequest $request): Response
    {
        return app(ForgotAction::class)->handle($request->validated());
    }
    public function reset(ResetRequest $request) :Response
    {
        return app(ResetAction::class)->handle($request->validated());
    }
    public function form_pdf(){
        $filePath = public_path('image/form.jpeg');
        return response()->download($filePath);
    }
}