<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Session;
class SetLocale
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if ( Session::has('locale'))
            App::setLocale( Session::get('locale') );
        elseif ( $request->header('Accept-Language') )
            App::setLocale( substr( $request->header('Accept-Language') , 0 , 2) );
        else
            App::setLocale( Config::get('app.locale') );

        return $next($request);
    }
}
