<?php

namespace App\Http\Requests\Api\Admin\Country;

use App\Http\Requests\Api\BasicBridge;

class CountryUpdate extends BasicBridge
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $id= Request()->segment(5);
        return [
            'name.en'=>['required','string','min:2','max:600'],
            'name.ar'=>['required','string','min:2','max:600'],
            'nationality.en'=>['required','string','min:2','max:600'],
            'nationality.ar'=>['required','string','min:2','max:600'],
            'image'=>['required'],
            'code'=>['required','unique:countries,code,'.$id,'min:2','max:600'],
        ];
    }
}
