<?php

namespace App\Http\Requests\Api\Application;

use App\Http\Requests\Api\BasicBridge;
use App\Rules\Api\V1\Application\UsersRule;

class LoginRequest extends BasicBridge
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $key = $this->has('phone') ? 'phone' : 'email';
        $value = ['required', new UsersRule($this->password)];
        if ($key === 'email') {
            $value[] = 'email';
        }
        $value[] = 'exists:users';
        return [
            $key => $value,
            'password' => ['required', 'min:6'],
        ];
    }
    
}