<?php

namespace App\Http\Requests\Api\Application;
use App\Http\Requests\Api\BasicBridge;

class RegisterRequest extends BasicBridge
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name'=>['required','string'],
            'email'=>['required','email','unique:users'],
            'phone'=>['required','unique:users','min:2','max:55'],
            'id_number'=>['required','unique:users'],
            'password'=>['required','min:6'],
            'image'=>['nullable'],
        ];
    }
    
}