<?php
namespace App\Http\Requests\Api\Application;

use App\Http\Requests\Api\BasicBridge;

class UpdateRequest extends BasicBridge
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name'=>['nullable','string'],
            'phone'=>['nullable','unique:users,phone,'.$this->user()->id,'min:2','max:55'],
            'password'=>['nullable','min:6'],
            'image'=>['nullable'],
        ];
    }
}