<?php

namespace App\Http\Requests\Api\Vendor;
use App\Http\Requests\Api\BasicBridge;

class RegisterRequest extends BasicBridge
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name.ar'=>['required','string'],
            'name.en'=>['required','string'],
            'email'=>['required','email','unique:vendors'],
            'phone'=>['required','unique:vendors'],
            'type'=>['required'],
            'landline'=>['nullable','unique:vendors'],
            'password'=>['required','min:6'],
            // image
            'commercial_licenses'=>['required'],
            'civil_id'=>['required'],
            'signature_authorization'=>['required'],
            'pdf_upload'=>['required'],
            'profile'=>['required'],
            'country_id'=>['required','exists:countries,id'],
            'city_id'=>['required','exists:cities,id'],
        ];
    }
    
}