<?php
namespace App\Http\Requests\Api\Vendor\Services;

use App\Enum\StatusEnum;
use App\Http\Requests\Api\BasicBridge;
use Illuminate\Validation\Rules\Enum;

class ServicesStore extends BasicBridge
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'reference'=>['nullable','unique:job_services'],
            'full_name.en'=>['required','string','min:2','max:600'],
            'full_name.ar'=>['required','string','min:2','max:600'],
            'price'=>['required','numeric'],
            'job_id'=>'required|exists:job_services,id',
            'phone'=>['required','integer','unique:services'],
            'civil_number'=>['required','string','unique:services'],
            'status'=>['required',new Enum(StatusEnum::class)],
            'image'=>['nullable']
        ];
    }
}
