<?php
namespace App\Http\Requests\Api\Vendor;

use App\Http\Requests\Api\BasicBridge;

class UpdateRequest extends BasicBridge
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'name.ar'=>['nullable','string'],
            'name.en'=>['nullable','string'],
            'phone'=>['nullable','unique:vendors,phone,'.$this->user()->id,'min:2','max:55'],
            'landline'=>['nullable','unique:vendors,landline,'.$this->user()->id],
            'password'=>['nullable','min:6'],     
            // image
            'commercial_licenses'=>['nullable'],
            'civil_id'=>['nullable'],
            'signature_authorization'=>['nullable'],
            'pdf_upload'=>['nullable'],
            'profile'=>['nullable'],
            'country_id'=>['required','exists:countries,id'],
            'city_id'=>['required','exists:cities,id'],
        ];
    }
    
}