<?php
namespace App\Http\Resources\Api\V1\Admin;

use App\Models\Admin;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AdminResource extends JsonResource
{
    /**
     * Transform the resource collection into an array.
     *
     * @return array<int|string, mixed>
     */
    public function toArray(Request $request): array
    {
        $admin = Admin::where('email',$request->email)->first();
        return [
            'id' => $this->id,
            'name' => $this->name,
            'email' => $this->email,
            'image' => $this->getFirstMediaUrl('admin'),
            'createToken' => $admin->createToken('admin_token', ['admin'])->plainTextToken,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
