<?php
namespace App\Http\Resources\Api\V1\Application;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class UserResource extends JsonResource
{
    /**
     * Transform the resource collection into an array.
     *
     * @return array<int|string, mixed>
     */
    public function toArray(Request $request): array
    {
        $key = $request->has('phone') ? 'phone' : 'email';

        $user = User::where($key,$request->$key)->first();
        return [
            'id' => $this->id,
            'name' => $this->name,
            'email' => $this->email,
            'phone' => $this->phone,
            'image' => $this->getFirstMediaUrl('user'),
            'createToken' => $user->createToken('auth_token')->plainTextToken,
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
