<?php
namespace App\Http\Resources\Api\V1\Vendor\Recruitment;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class RecruitmentResource extends JsonResource
{
    /**
     * Transform the resource collection into an array.
     *
     * @return array<int|string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'reference' => $this->reference,
            'general' => $this->general,
            'job_id' => $this->JobRecruitment->id??'',
            'job_name' => $this->JobRecruitment->name??'',
            'contract_period' => $this->contract_period,
            'full_name' => $this->full_name,
            // details of applicant
            'nationality_id' => $this->Country->id??'',
            'nationality_name' => $this->Country->name??'',
            'vendor_id' => $this->Vendor->id??'',
            'vendor_name' => $this->Vendor->name??'',
            'religion' => $this->religion,
            'date_of_birth' => $this->date_of_birth,
            'age' => $this->age,
            'place_of_birth' => $this->place_of_birth,
            'living_town' => $this->living_town,
            'martial_status' => $this->martial_status,
            'no_of_children' => $this->no_of_children,
            'weight' => $this->weight,
            'height' => $this->height,
            'complexion' => $this->complexion,
            'educational_qualifications_grade' => $this->educational_qualifications_grade,
            // knowledge of languages
            'language_arabic' => $this->language_arabic,
            'language_english' => $this->language_english,
            // previous employment abroad
            'previous_employment_abroad_country' => $this->previous_employment_abroad_country,
            'previous_employment_abroad_period' => $this->previous_employment_abroad_period,
            // work experience
            'work_experience' => $this->work_experience,
            // passport details
            'number_passport' => $this->number_passport,
            'date_of_issue_passport' => $this->date_of_issue_passport,
            'place_of_issue_passport' => $this->place_of_issue_passport,
            'date_of_expiry_passport' => $this->date_of_expiry_passport,
            'status' => $this->status,
            'image' => $this->getFirstMediaUrl('recruitment'),
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
