<?php
namespace App\Http\Resources\Api\V1\Vendor;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class RegisterVendorResource extends JsonResource
{
    /**
     * Transform the resource collection into an array.
     *
     * @return array<int|string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'email' => $this->email,
            'phone' => $this->phone,
            'type' => $this->type,
            'country_id' => $this->country_id,
            'city_id' => $this->city_id,
            'commercial licenses' => $this->getFirstMediaUrl('commercial_licenses'),
            'civil id' => $this->getFirstMediaUrl('civil_id'),
            'signature authorization' => $this->getFirstMediaUrl('signature_authorization'),
            'pdf upload' => $this->getFirstMediaUrl('pdf_upload'),
            'profile' => $this->getFirstMediaUrl('profile'),
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}