<?php
namespace App\Http\Resources\Api\V1\Vendor\Services;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AllServicesResource extends JsonResource
{
    /**
     * Transform the resource collection into an array.
     *
     * @return array<int|string, mixed>
     */
    public function toArray(Request $request): array
    {

        return [
            'id' => $this->id,
            'reference' => $this->reference,
            'job_id' => $this->JobServices->id??'',
            'job_name' => $this->JobServices->name??'',
            'full_name' => $this->full_name,
            'price' => $this->price,
            'phone' => $this->phone,
            'civil_number' => $this->civil_number,
            'status' => $this->status,
            'vendor_id' => $this->Vendor->id??'',
            'vendor_name' => $this->Vendor->name??'',
            'image' => $this->getFirstMediaUrl('services'),
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}