<?php
namespace App\Http\Resources\Api\V1\Vendor;

use App\Models\Vendor;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class VendorUpdateResource extends JsonResource
{
    /**
     * Transform the resource collection into an array.
     *
     * @return array<int|string, mixed>
     */
    public function toArray(Request $request): array
    {
        $vendor = Vendor::where('approval','1')->where('email',$this->email)->first();
        return [
            'id' => $this->id,
            'name' => $this->name,
            'email' => $this->email,
            'phone' => $this->phone,
            'type' => $this->type,
            'approval' => $this->approval,
            'status' => $this->status,
            'commercial licenses' => $this->getFirstMediaUrl('commercial_licenses'),
            'civil id' => $this->getFirstMediaUrl('civil_id'),
            'signature authorization' => $this->getFirstMediaUrl('signature_authorization'),
            'pdf upload' => $this->getFirstMediaUrl('pdf_upload'),
            'profile' => $this->getFirstMediaUrl('profile'),
            'createToken' => !empty($vendor)?$vendor->createToken('vendor_token', ['vendor'])->plainTextToken:'',
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
