<?php

namespace App\Models;

use App\Models\JobRecruitment;
use App\Models\Vendor;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia;
use Spatie\MediaLibrary\InteractsWithMedia;
use Spatie\Translatable\HasTranslations;

class Recruitment extends Model implements HasMedia
{
    use HasFactory,HasTranslations,InteractsWithMedia,SoftDeletes;
    public $translatable = ['full_name','place_of_birth','living_town','complexion','previous_employment_abroad_country','place_of_issue_passport','work_experience'];
    protected $guarded = []; 
    
    public function JobRecruitment()
    {
        return $this->belongsTo(JobRecruitment::class,'job_id');
    }
    
    public function Country()
    {
        return $this->belongsTo(Country::class,'nationality_id');
    }  
    
    public function Vendor()
    {
        return $this->belongsTo(Vendor::class,'vendor_id');
    }    
    public function VendorRecruitment()
    {
        return $this->belongsTo(Vendor::class,'vendor_id')->where('type','recruitment');
    }        
}