<?php

namespace App\Models;

use App\Models\JobRecruitment;
use App\Models\JobServices;
use App\Models\Vendor;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia;
use Spatie\MediaLibrary\InteractsWithMedia;
use Spatie\Translatable\HasTranslations;

class Services extends Model implements HasMedia
{
    use HasFactory,HasTranslations,InteractsWithMedia,SoftDeletes;
    public $translatable = ['full_name'];
    protected $guarded = []; 
    
    public function JobServices()
    {
        return $this->belongsTo(JobServices::class,'job_id');
    }    
    
    public function Vendor()
    {
        return $this->belongsTo(Vendor::class,'vendor_id');
    }    
}