<?php
namespace App\Rules\Api\V1\Admin;
use App\Models\Admin;
use Closure;
use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Support\Facades\Hash;

class AdminRule implements ValidationRule
{
    public function __construct(private $password){}
    /**
     * Run the validation rule.
     *
     * @param  \Closure(string): \Illuminate\Translation\PotentiallyTranslatedString  $fail
     */
    public function validate(string $attribute, mixed $value, Closure $fail):void
    {
        $admin = Admin::where('email', $value)->first();
        if (!$admin || !Hash::check($this->password, $admin->password))
            $fail('Bad Credentials');
    }
}
