<?php
namespace App\Rules\Api\V1\Vendor;


use App\Models\Vendor;
use Closure;
use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Support\Facades\Hash;

class VendorRule implements ValidationRule
{
    public function __construct(private $password){
        
    }
    /**
     * Run the validation rule.
     *
     * @param  \Closure(string): \Illuminate\Translation\PotentiallyTranslatedString  $fail
     */
    public function validate(string $attribute, mixed $value, Closure $fail):void
    {
        $vendor = Vendor::where('email', $value)->first();
        if (!$vendor || !Hash::check($this->password, $vendor->password))
            $fail('Bad Credentials');
    }
}
