<?php

namespace Database\Seeders;

use App\Models\Admin;
use App\Models\Country;
use App\Models\JobRecruitment;
use App\Models\JobServices;
use App\Models\Recruitment;
use App\Models\Services;
use App\Models\User;
use App\Models\Vendor;
use Database\Seeders\UserSeeder;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        DB::table('users')->delete();
        $user=User::create([
            'name' => 'users',
            'phone' => '011236944405',
            'id_number' => '92222296',
            'email' => 'user@user.com',
            'email_verified_at' => now(),
            'password' => Hash::make('123456789'), // password
            'remember_token' => null,
        ]);
        
        DB::table('admins')->delete();
        $admin = Admin::create([
            'name' => 'admins',
            'email' => 'admin@admin.com',
            'password' => Hash::make('123456789'), // password
            'email_verified_at' => now(),
            'remember_token' => null,
        ]);        
        
        // $role = Role::create(['name' => 'Super Admin','guard_name'=>'sanctum-admin']);
        // $permissions = Permission::pluck('id','id')->all();
        // $role->syncPermissions($permissions);
        // $role = Role::create(['name' => 'Admin','guard_name'=>'sanctum-admin']);
        // $admin->assignRole([$role->id]);  
        
        DB::table('vendors')->delete();
        Vendor::create([
            'name' => 'vendors',
            'email' => 'recruitment@vendor.com',
            'phone' => '011236944405',
            'type' => 'recruitment',
            'approval' => '1',
            'status' => '1',
            'landline' => '6662662595',
            'email_verified_at' => now(),
            'password' => Hash::make('123456789'), // password
            'remember_token' => null,
        ]);      
        Vendor::create([
            'name' => 'vendors',
            'email' => 'services@vendor.com',
            'phone' => '59595959',
            'type' => 'services',
            'approval' => '1',
            'status' => '1',
            'landline' => '32432432432',
            'email_verified_at' => now(),
            'password' => Hash::make('123456789'), // password
            'remember_token' => null,
        ]);      
        DB::table('countries')->delete();
        Country::create([
            'name'=>(['en'=>'Egypt' , 'ar'=>'مصر']) ,
            'nationality'=>(['en'=>'Egyption' , 'ar'=>'مصري']) ,
            'code' => '15462266',
        ]);          
        		
        DB::table('job_services')->delete();
        JobServices::create([
            'name'=>(['en'=>'service one' , 'ar'=>' واحد خدمات']) ,
        ]);       
        DB::table('job_recruitments')->delete();
        JobRecruitment::create([
            'name'=>(['en'=>'recruitment one' , 'ar'=>'استقدام واحد']) ,
        ]);        
        DB::table('recruitments')->delete();
        Recruitment::create([
            'general' => 'mail',
            'reference' => 'REF-216651-REF',
            'vendor_id' => '1',
            'job_id' => '1',
            'contract_period' => '5',
            'full_name'=>(['en'=>'new Recruitment' , 'ar'=>'استقدام واحد']) ,
            'nationality_id' => '1',
            'religion' => 'christian',
            'date_of_birth' => '2024-09-20',
            'age' => '35',
            'place_of_birth'=>(['en'=>'new place' , 'ar'=>'مكان جديد']) ,
            'living_town'=>(['en'=>'new living town' , 'ar'=>'جديد حياه مدينه ']) ,
            'martial_status' => 'single',
            'no_of_children' => '2',
            'weight' => '50',
            'height' => '50',
            'complexion'=>(['en'=>'complexion' , 'ar'=>'بشرة']) ,
            'educational_qualifications_grade' => '22',
            'language_arabic' => 'poor',
            'language_english' => 'poor',
            'previous_employment_abroad_country'=>(['en'=>'previous_employment_abroad_country' , 'ar'=>'بلد_العمل_السابق_في_الخارج']) ,
            'previous_employment_abroad_period' => '22',
            'number_passport' => 'Ab123456',
            'date_of_issue_passport' => '2024-09-20',
            'place_of_issue_passport'=>(['en'=>'place of issue passport' , 'ar'=>'مكان إصدار جواز السفر']) ,
            'date_of_expiry_passport' => '2024-09-20',
            'status' => '1',
            'work_experience'=>(['en'=>'work_experience' , 'ar'=>'خبرة في العمل']) ,
        ]);
        DB::table('services')->delete();
        Services::create([
            'reference' => 'REF-3543543-REF',
            'full_name'=>(['en'=>'new Services' , 'ar'=>'خدمات واحد']) ,
            'price' => '600',
            'vendor_id' => '2',
            'job_id' => '1',
            'phone' => '012369499',
            'civil_number' => '65496949',
            'status' => '1',
        ]);        
    }
}
