<?php
use App\Http\Controllers\Api\V1\Dashboard\Admin\AdminController;
use App\Http\Controllers\Api\V1\Dashboard\Admin\BannerController;
use App\Http\Controllers\Api\V1\Dashboard\Admin\CityController;
use App\Http\Controllers\Api\V1\Dashboard\Admin\CountryController;
use App\Http\Controllers\Api\V1\Dashboard\Admin\JobRecruitmentController;
use App\Http\Controllers\Api\V1\Dashboard\Admin\JobServicesController;
use App\Http\Controllers\Api\V1\Dashboard\Admin\ProfileController;
use App\Http\Controllers\Api\V1\Dashboard\Admin\SettingVendorController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => "v1/admin" , 'middleware'=>['set_locale']],function (){
    Route::post("/login" , [AdminController::class,'login']);
    Route::post("/register" , [AdminController::class,'register']);
    
   //  Route::middleware('auth:sanctum-admin')->group(function () {
       Route::resource('/admins', AdminController::class)->except('edit','create');
       Route::post("/user-token" , [AdminController::class,'getUserToken']);
       Route::resource('/country', CountryController::class)->except('edit','create');
       Route::resource('/banner', BannerController::class)->except('edit','create');
       Route::resource('/city', CityController::class)->except('edit','create');
       Route::resource('/job-recruitment', JobRecruitmentController::class)->except('edit','create');
       Route::resource('/job-services', JobServicesController::class)->except('edit','create');
       Route::get("/vendor/{vendor?}" , [SettingVendorController::class,'Vendor']);
       Route::get("/approval/{vendor}" , [SettingVendorController::class,'MakeApproval']);
       Route::get("/status/{vendor}" , [SettingVendorController::class,'MakeStatus']);
       Route::post("/vendor/delete/{vendor}" , [SettingVendorController::class,'deleteVendor']);
       Route::prefix('profile')->group(function () {
             Route::post("/update" , [ProfileController::class,'update']);
       });
   //  });
   Route::get("/country" , [CountryController::class,'index']);
   Route::get("/country/{country}" , [CountryController::class,'show']);
   Route::get("/city" , [CityController::class,'index']);
   Route::get("/city/{city}" , [CityController::class,'show']);
   
   Route::get("/job-recruitment" , [JobRecruitmentController::class,'index']);
   Route::get("/job-recruitment/{job_recruitment}" , [JobRecruitmentController::class,'show']);
   Route::get("/job-services" , [JobServicesController::class,'index']);
   Route::get("/job-services/{job_service}" , [JobServicesController::class,'show']);    
});
