<?php
use App\Http\Controllers\Api\V1\Application\ProfileController;
use App\Http\Controllers\Api\V1\Application\RecruitmentController;
use App\Http\Controllers\Api\V1\Application\ServicesController;
use App\Http\Controllers\Api\V1\Application\UsersController;
use App\Http\Controllers\Api\V1\Dashboard\Admin\BannerController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => "v1/application" , 'middleware'=>['set_locale']],function (){
    Route::get('test', function () {
    Artisan::call('optimize:clear');
    Artisan::call('config:cache');
    return response()->json(['message' => 'Configuration cache cleared and cached successfully.']);
    });
    Route::post("/login" , [UsersController::class,'login'])->name('login');
    Route::post("/register" , [UsersController::class,'register']);

    Route::post("/forgot" , [UsersController::class,'forgot']);
    Route::post("/reset" , [UsersController::class,'reset']);

    Route::middleware('auth:sanctum')->group(function () {
    Route::post('/logout', [UsersController::class, 'logout']);
    
        Route::post("/user-token" , [UsersController::class,'getUserToken']);
        Route::prefix('profile')->group(function () {
             Route::post("/update" , [ProfileController::class,'update']);
        });        
        
        Route::get("/job-recruitment/{job_id?}" , [RecruitmentController::class,'jobRecruitment']);
        Route::get("/vendors-recruitment/{vendor_id?}" , [RecruitmentController::class,'VendorsRecruitment']);
        
        
        Route::get("/job-services/{job_id?}" , [ServicesController::class,'jobServices']);
        Route::get("/vendors-services" , [ServicesController::class,'VendorsServices']);
        
        Route::get('/banner', [BannerController::class,'index']);
    });
});