<?php

use App\Http\Controllers\Api\V1\Dashboard\Vendor\ProfileController;
use App\Http\Controllers\Api\V1\Dashboard\Vendor\RecruitmentController;
use App\Http\Controllers\Api\V1\Dashboard\Vendor\ServicesController;
use App\Http\Controllers\Api\V1\Dashboard\Vendor\VendorController;
use Illuminate\Support\Facades\Route;


Route::group(['prefix' => "v1/vendor" ,'as'=>'vendor.', 'middleware'=>['set_locale']],function (){
    Route::post("/login" , [VendorController::class,'login']);
    Route::post("/register" , [VendorController::class,'register']);
    
    Route::post("/forgot" , [VendorController::class,'forgot']);
    Route::post("/reset" , [VendorController::class,'reset']);
    Route::get("/form-pdf" , [VendorController::class,'form_pdf'])->name('form_pdf');

    Route::middleware('auth:sanctum-vendor')->group(function () {
       Route::post("/user-token" , [VendorController::class,'getUserToken']);
       Route::resource('/recruitment', RecruitmentController::class)->except('edit','create');
       Route::resource('/services', ServicesController::class)->except('edit','create');
        Route::prefix('profile')->group(function () {
             Route::post("/update" , [ProfileController::class,'update']);
        });
    });
});